[![Build Status](https://travis-ci.com/AUSSDA/pyDataverse.svg?branch=master)](https://travis-ci.com/AUSSDA/pyDataverse) [![Coverage Status](https://coveralls.io/repos/github/AUSSDA/pyDataverse/badge.svg)](https://coveralls.io/github/AUSSDA/pyDataverse) [![Documentation Status](https://readthedocs.org/projects/pydataverse/badge/?version=latest)](https://pydataverse.readthedocs.io/en/latest) [![GitHub](https://img.shields.io/github/license/aussda/pydataverse.svg)](https://opensource.org/licenses/MIT)

# pyDataverse

pyDataverse is a Python module for [Dataverse](http://dataverse.org/). It uses the [Native API](http://guides.dataverse.org/en/latest/api/native-api.html) and [Data Access API](http://guides.dataverse.org/en/latest/api/dataaccess.html). It allows to create, update and remove Dataverses, Datasets and Datafiles via Dataverse's native API. Thanks to the developers of [dataverse-client-python](https://github.com/IQSS/dataverse-client-python), from which the project got inspired from.

**Features**

* Open Source ([MIT](https://opensource.org/licenses/MIT))
* `api.py`: Dataverse Api functionalities to create, get, publish and delete Dataverses, Datasets and Datafiles.
* `utils.py`: Functions to support the core functionalities.
* `exceptions.py`: Custom exceptions
* `tests/*`: Tests on [Travis CI](https://travis-ci.com/AUSSDA/pyDataverse) ([pytest](https://docs.pytest.org/en/latest/) + [tox](http://tox.readthedocs.io/)).
* [Documentation](https://pydataverse.readthedocs.io/en/latest/)
* Python 2 and 3 (>=2.7)

**Copyright**

* Sourcecode:  [![GitHub](https://img.shields.io/github/license/aussda/pydataverse.svg)](https://opensource.org/licenses/MIT)
* Documentation:  [![License: CC BY 4.0](https://licensebuttons.net/l/by/4.0/80x15.png)](https://creativecommons.org/licenses/by/4.0/)

## QUICKSTART

[See more](https://pydataverse.readthedocs.io/en/latest/index.html#quickstart).

## CONTRIBUTE

[See more](https://pydataverse.readthedocs.io/en/latest/index.html#contributor-guide).
